Expand "On this day" endpoint language support
Open, LowPublic1 Story Points

Description

Presently it supports English, German, Swedish and French.

Goal:

  • Add remaining 'top 10' wiki langs

Stretch goal:

  • Add at least one RTL lang

Also, audit added langs for missing 'date' pages. (Note: I have script for this somewhere...)


Added so far as part of this ticket:

  • Portuguese
  • Russian
  • Spanish
  • Arabic
Mhurd created this task.Jun 29 2017, 10:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2017, 10:10 PM
Mhurd claimed this task.Jun 29 2017, 10:13 PM
Mhurd added a project: Mobile-Content-Service.
bearND added a subscriber: bearND.Jul 6 2017, 5:37 PM

Also, audit added langs for missing 'date' pages. (Note: I have script for this somewhere...)

I've got a test for that in the repo. Needs to be enabled using an env variable.

JMinor triaged this task as Low priority.Jul 6 2017, 10:49 PM
NHarateh_WMF set the point value for this task to 1.Aug 8 2017, 7:19 PM
Mhurd added a comment.EditedAug 22 2017, 11:36 PM

There are a couple small-ish refactors I'll probably need to make before adding other langs.

(in on-this-day-languages.js I'll prob need to pass nameFormatter methods the monthNumber - Polish day and anniversary pages use month number not name. also should probably factor out the unicode dash character class which I added for Portuguese and use it for the other langs yearListElementRegEx too.)

There's also a parsoid bug https://phabricator.wikimedia.org/T173384#3542235 which will need to resolve before adding Polish.

Change 373159 had a related patch set uploaded (by Mhurd; owner: Mhurd):
[mediawiki/services/mobileapps@master] Add Portuguese to on this day endpoint.

https://gerrit.wikimedia.org/r/373159

Change 373159 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Add Portuguese to on this day endpoint.

https://gerrit.wikimedia.org/r/373159

Change 373748 had a related patch set uploaded (by Mhurd; owner: Mhurd):
[mediawiki/services/mobileapps@master] Add Russian to 'On this day' endpoint.

https://gerrit.wikimedia.org/r/373748

Mhurd added a comment.Fri, Aug 25, 7:10 AM

@bearND ^ I added Russian! :)

Mhurd updated the task description. (Show Details)Fri, Aug 25, 7:17 AM
Mhurd updated the task description. (Show Details)Fri, Aug 25, 7:12 PM
Mhurd added a comment.Sat, Aug 26, 6:54 AM

...and Arabic :)

Mhurd updated the task description. (Show Details)Sat, Aug 26, 6:54 AM
Mhurd added a comment.Sat, Aug 26, 6:59 AM

There's a test failing, but it doesn't appear to be related to On this day.

Mhurd added a comment.EditedTue, Aug 29, 9:14 PM

Add new langs to app 'on this day' whitelist:
https://github.com/wikimedia/wikipedia-ios/pull/1767

JMinor added a subscriber: JMinor.

Parked in Waiting for Build until updates are deployed to MCS. Please move back into QA once the updates are deployed/testable.

Change 373748 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Add Russian, Spanish and Arabic to 'On this day' endpoint.

https://gerrit.wikimedia.org/r/373748

bearND added a comment.Fri, Sep 1, 1:45 AM

It'll have to wait until Tuesday (9/5) at the earliest.

Mentioned in SAL (#wikimedia-operations) [2017-09-06T22:06:32Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@507a479]: Update mobileapps to 2cb6281 (T168848 T169277 T169274 T162179 T164033 T167921 T174698 T168848 T174808)

Mentioned in SAL (#wikimedia-operations) [2017-09-06T22:11:25Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@507a479]: Update mobileapps to 2cb6281 (T168848 T169277 T169274 T162179 T164033 T167921 T174698 T168848 T174808) (duration: 04m 53s)

Mhurd added a subscriber: ABorbaWMF.Thu, Sep 7, 6:21 PM

@ABorbaWMF @JMinor

Portuguese, Russian, Spanish and Arabic went live!

Testing criteria for each language above

  • switch device lang
  • clean install of app
  • should see an "On this day" item in the Explore feed for respective lang

@Mhurd I took a look at this on 5.6.1 (1212). Russian and Spanish looks good. Portuguese and Arabic still have some English characters: On this Day, Dates, etc

RussianSpanish
PostugueseArabic

Maybe it is still rolling out? Or maybe cached data?

Mhurd added a comment.Fri, Sep 8, 12:53 AM

@ABorbaWMF I think those are just strings TWN folks haven't translated yet, but I can double check tomorrow. Thanks!

Testing on iPhone 7 (iOS 10.3.1) and Wikipedia app 5.6.1 (1212). I'll post screencaps and let the staff decide if the results are fixed.

The fix for T173384 is deployed. Now we could add Polish, too.